Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class NodeMap

    java.lang.Object
      com.vividsolutions.jts.geomgraph.NodeMap

    public class NodeMap

extends java.lang.Object

A map of nodes, indexed by the coordinate of the node

Version:
  1.7

Constructor Summary
`NodeMap(NodeFactory nodeFact)`

Method Summary
`void` | `add(EdgeEnd e)` Adds a node for the start point of this EdgeEnd (if one does not already exist in this map).
`Node` | `addNode(Coordinate coord)` This method expects that a node has a coordinate value.
`Node` | `addNode(Node n)`
`Node` | `find(Coordinate coord)`
`java.util.Collection` | `getBoundaryNodes(int geomIndex)`
`java.util.Iterator` | `iterator()`
`void` | `print(java.io.PrintStream out)`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeMap

    public NodeMap(NodeFactory nodeFact)

Method Detail

### addNode

    public Node addNode(Coordinate coord)

  This method expects that a node has a coordinate value.

### addNode

    public Node addNode(Node n)

### add

    public void add(EdgeEnd e)

  Adds a node for the start point of this EdgeEnd (if one does not already exist in this map). Adds the EdgeEnd to the (possibly new) node.

### find

    public Node find(Coordinate coord)

  Returns:
    the node if found; null otherwise

### iterator

    public java.util.Iterator iterator()

### values

    public java.util.Collection values()

### getBoundaryNodes

    public java.util.Collection getBoundaryNodes(int geomIndex)

### print

    public void print(java.io.PrintStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD